Name: qtradio
Version: 0.8.0
Release: alt1

Summary: QtRadio - lets you listen to the radio using Video4Linux or Video4Linux2
License: GPL
Group: Sound
Url: http://linux.perlak.com
Packager: Andrey Semenov <mitrofan@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: %name.menu
Source2: %name.png

# Automatically added by buildreq on Mon Jul 07 2003
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ libGLU libaudio libexpat libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel zlib-devel

%description
This application lets you listen to the radio using Video4Linux or Video4Linux2
(There are still a lot of things to do, so not everything works fine)
It also uses OSS drivers for setting volume (it is still in alpha mode)

%prep
%setup -q -n QtRadio-%version

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure
%__sed 's/local\///' qtradio/main.cpp > qtradio/_main.cpp
%__cat qtradio/_main.cpp > qtradio/main.cpp
%__sed 's/local\///' qtradio/qtradio.cpp > qtradio/_qtradio.cpp
%__cat qtradio/_qtradio.cpp > qtradio/qtradio.cpp
%__sed 's/local\///' qtradio/TrayIcon.cpp > qtradio/_TrayIcon.cpp
%__cat qtradio/_TrayIcon.cpp > qtradio/TrayIcon.cpp
%make

%install
%__mkdir -p %buildroot%_datadir
%__cp -R QtRadio %buildroot%_datadir
%__install -pD -m644 %SOURCE1 %buildroot%_menudir/%name
%__install -pD -m644 %SOURCE2 %buildroot%_datadir/pixmaps/%name.png
%makeinstall

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS COPYING ChangeLog INSTALL README TODO VERSION
%_bindir/*
%_menudir/*
%_datadir/QtRadio
%_datadir/pixmaps/*

%changelog
* Tue Jul 15 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.8.0-alt1
- 0.8.0
- Add skins, shortcuts

* Mon Jul 7 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.7.0-alt1
- 0.7.0
- lirc support.

* Sun May 11 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.6.0-alt1
- First version of RPM package.

